package eu.dnetlib.openaire.dsm.domain;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema
@JsonAutoDetect
public class DatasourceSearchResponse extends Response {

	@Schema
	private List<DatasourceInfo> datasourceInfo;

	public DatasourceSearchResponse(final List<DatasourceInfo> datasourceInfo) {
		super();
		this.datasourceInfo = datasourceInfo;
	}

	public List<DatasourceInfo> getDatasourceInfo() {
		return datasourceInfo;
	}

	public void setDatasourceInfo(final List<DatasourceInfo> datasourceInfo) {
		this.datasourceInfo = datasourceInfo;
	}
}
