package eu.dnetlib.openaire.dsm.domain;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema
@JsonAutoDetect
public class DatasourceDetailResponse extends Response {

	@Schema
	private List<DatasourceDetails> datasourceInfo;

	public DatasourceDetailResponse(final List<DatasourceDetails> datasourceInfo) {
		super();
		this.datasourceInfo = datasourceInfo;
	}

	public List<DatasourceDetails> getDatasourceInfo() {
		return datasourceInfo;
	}

	public void setDatasourceInfo(final List<DatasourceDetails> datasourceInfo) {
		this.datasourceInfo = datasourceInfo;
	}
}
