package eu.dnetlib.openaire.dsm.domain;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema
@JsonAutoDetect
public class SimpleResponse<T> extends Response {

	@Schema
	private List<T> response;

	public List<T> getResponse() {
		return response;
	}

	public SimpleResponse<T> setResponse(final List<T> response) {
		this.response = response;
		return this;
	}
}
